/*
 *  $Id: ui_dos.h,v 1.1.1.1 1998/01/11 00:00:37 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of KCemu, the KC 85/4 Emulator.
 */

#ifndef __ui_ui_dos_h
#define __ui_ui_dos_h

#include "ui/ui.h"

class UI_DOS : public UI
{
private:
	bool		_dirty;
	char		*_pix_mem;
	char		*_col_mem;
	unsigned long	_col[24];
	int		_x_offset;
	int		_y_offset;
public:
	UI_DOS(int *argc, char ***argv);
	virtual ~UI_DOS();
	virtual void update(bool force_update);
	virtual void putPixel(int x, int y, char val);
	virtual void putColor(int x, int y, char val);
	virtual void processEvents(void);
};

#endif /* __ui_ui_dos_h */

